org.apache.cayenne.access.flush.operation

## Class DefaultDbRowOpSorter

- java.lang.Object
- - org.apache.cayenne.access.flush.operation.DefaultDbRowOpSorter

- All Implemented Interfaces:
    DbRowOpSorter

      public class DefaultDbRowOpSorter
      extends Object
      implements DbRowOpSorter

  Since:
    4.2

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `DefaultDbRowOpSorter.DbRowComparator`
    `protected static class` | `DefaultDbRowOpSorter.DbRowTypeVisitor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Comparator<DbRowOp>` | `comparator`
    `protected Provider<DataDomain>` | `dataDomainProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDbRowOpSorter(Provider<DataDomain> dataDomainProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Comparator<DbRowOp>` | `getComparator()`
    `List<DbRowOp>` | `sort(List<DbRowOp> dbRows)`
    `protected void` | `sortReflexive(List<DbRowOp> sortedDbRows)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataDomainProvider

          protected final Provider<DataDomain> dataDomainProvider

    - #### comparator

          protected volatile Comparator<DbRowOp> comparator

  - ### Constructor Detail

    - #### DefaultDbRowOpSorter

          public DefaultDbRowOpSorter(Provider<DataDomain> dataDomainProvider)

  - ### Method Detail

    - #### sort

          public List<DbRowOp> sort(List<DbRowOp> dbRows)

      Specified by:
        `sort` in interface `DbRowOpSorter`

    - #### sortReflexive

          protected void sortReflexive(List<DbRowOp> sortedDbRows)

    - #### getComparator

          protected Comparator<DbRowOp> getComparator()

Copyright © 2001–2021 Apache Cayenne. All rights reserved.